<template>
	<view class="amms-errorPage" @tap.stop="toParent">
		<image :src="noDataPic" class="backPic"></image>
		<text class="infotext">{{ errorInfo }}</text>
	</view>
</template>

<script setup lang="ts">
	import { ref, computed, getCurrentInstance } from 'vue';
	import noDataImg from '../../static/img/ammsHome/noData.png';
	// const { proxy } = getCurrentInstance();
	const noDataPic = ref(noDataImg);
	
	const props = defineProps({
		errorInfo: {
			type: String,
			default: ''
		}
	});
	
	const emit = defineEmits(['recall']);


	function toParent() {
		emit('recall', true)
	}
</script>

<style lang="less" scoped>
	.amms-errorPage {
		width: 100%;
		max-height: 100%;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
		.backPic {
			width: 360rpx;
			height: 360rpx;
		}
		.infotext {
			margin-top: 32rpx;
			font-size: 28rpx;
		}
	}
</style>